icl_sample = {"MMLU": {"question": "A group of hikers climbed from Salt Flats (elevation −55 feet)to Talon Bluff (elevation 620 feet). What is the difference in elevation between Talon Bluff and Salt Flats?\nThe options are: A)565 feet B)575 feet C)665 feet D)675 feet\nYour final answer should be chosen from A, B, C or D.",
                       "solution": "Step 1:  Calculate the difference in elevation between Talon Bluff and Salt Flats\nTalon Bluff elevation - Salt Flats elevation = ?  (Score: 9/10)\n\nStep 2: Calculate the difference in elevation\n620 ft - (-55 ft) = ?  (Score: 9/10)\n\nStep 3: Convert the minus sign to a positive sign\n620 ft - 55 ft = ?  (Score: 3/10)\n\nStep 4: Add the numbers\n620 - 55 = 665 ft\nThe correct answer is \boxed{C)665 feet}.  (Score: 1/10)",
                       "feedback": "Step 1: This step is correct, and the high score of 9 reflects it.\n\nStep 2: This step is correct, and the high score of 9 reflects it.\n\nStep 3: The low score of 3 suggests an error in this step. It does not really convert the minus sign to a positive sign. It should be 620 + 55 instead of 620 - 55.\n\nStep 4: The low score of 1 suggests an error in this step. It should be adding 620 and 55, and the answer should be D) 675.",
                       "refined_solution": "Step 1:  Calculate the difference in elevation between Talon Bluff and Salt Flats\nTalon Bluff elevation - Salt Flats elevation = ?\n\nStep 2: Calculate the difference in elevation\n620 ft - (-55 ft) = ?\n\nStep 3: Convert the minus sign to a positive sign\n620 ft + 55 ft = ?\n\nStep 4: Add the numbers\n675 ft\n\nTherefore, the correct answer is \\boxed{D)675 feet}.",
                       "orm_score": "1"},

             "MATH": {"question": "What is the positive difference between the two solutions of $|x + 5| = 20$?",
                       "solution": "Step 1: Solve $|x+5|=20.$ \begin{align*}\n|x+5|&=20\\\n\Rightarrow\qquad x+5&=20\text{ or } x+5=-20\\\n\Rightarrow\qquad x&=15\text{ or }x=-25\n\end{align*}  (Score: 10/10)\n\nStep 2: Calculate the positive difference between the two solutions. \begin{align*}\n|x+5|=20&\Rightarrow\qquad |15-(-25)|=20\\\n&\Rightarrow\qquad |40|=20\\\n&\Rightarrow\qquad 20=\boxed{20}\n\end{align*}\nFinal Answer: The final answer is 20. I hope it is correct.  (Score: 3/10)",
                       "feedback": "Step 1: This step is correct, and the high score of 10 reflects it. \n\nStep 2: The low score of 3 suggests an error in this step. The problem asks for the positive difference between the two solutions, not to verify if 20 equals 20. Also, it wrotes |15-(-25)| = 20, which is incorrect. The actual calculation should be |15-(-25)| = |15+25| = |40| = 40, not 20.",
                       "refined_solution": "Step 1: Solve $|x+5|=20.$ \begin{align*}\n|x+5|&=20\\\n\Rightarrow\qquad x+5&=20\text{ or } x+5=-20\\\n\Rightarrow\qquad x&=15\text{ or }x=-25\n\end{align*}\n\nStep 2: Calculate the positive difference between the two solutions\nTo find the positive difference, we subtract the smaller value from the larger value:\nDifference = |15 - (-25)| = |15 + 25| = |40| = 40\nTherefore, the correct answer is \\boxed{40}.",
                       "orm_score": "3"},

             "GSM8K": {"question": "Tobias is buying a new pair of shoes that costs $95. He has been saving up his money each month for the past three months. He gets a $5 allowance a month. He also mows lawns and shovels driveways. He charges $15 to mow a lawn and $7 to shovel. After buying the shoes, he has $15 in change. If he mows 4 lawns, how many driveways did he shovel?",
                       "solution": "Step 1:  Calculate the money he earned mowing lawns. 4 lawns for 15 dollars each is 15 * 4 = 60 dollars.   (Score: 7/10)\n\nStep 2: He gets 5 dollars a month in allowance. For 3 months, he gets 5 * 3 = 15 dollars.   (Score: 7/10)\n\nStep 3: 95 - 60 - 15 = 20 dollars. He had 20 dollars left after buying the shoes. Since he has 15 dollars left after buying the shoes, that means he saved 5 dollars. So he must have earned 5 dollars from shoveling driveways. 7 dollars per driveway, so 5 / 7 = 0.71 driveways. Round to 1 driveway. The answer is \boxed{1}.  (Score: 2/10)",
                       "feedback": "Step 1: This step is correct, and the high score of 7 reflects it.\n\nStep 2: This step is correct, and the high score of 7 reflects it.\n\nStep 3: The low score of 2 suggests an error in this step. The calculation 95 - 60 - 15 = 20 is incorrect. This should be 95 + 60 + 15, as we're calculating the total money Tobias had before buying the shoes, not subtracting the cost of the shoes yet.\nThe statement \"He had 20 dollars left after buying the shoes\" contradicts the problem, which states he has $15 in change after buying the shoes.\n\nThe reasoning about saving $5 and earning $5 from shoveling driveways is flawed. We need to calculate the total money earned and then subtract the cost of the shoes and the remaining change.\nDividing 5 by 7 and rounding to 1 driveway is incorrect. We need to find how many driveways he shoveled to make up the difference between his total earnings and expenses.",
                       "refined_solution": "Step 1: Calculate the money he earned mowing lawns.\n4 lawns for 15 dollars each is 15 * 4 = 60 dollars.\n\nStep 2: Calculate his allowance money.\nHe gets 5 dollars a month in allowance. For 3 months, he gets 5 * 3 = 15 dollars.\n\nStep 3: Calculate the total money needed and determine how much he earned from shoveling.\nTotal money spent = Cost of shoes + Money left as change = $95 + $15 = $110\nMoney earned from lawns and allowance = $60 + $15 = $75\nMoney earned from shoveling = Total money spent - Money from lawns and allowance\nMoney from shoveling = $110 - $75 = $35\n\nStep 4: Calculate the number of driveways shoveled.\nHe charges $7 to shovel a driveway.\nNumber of driveways = Money from shoveling ÷ Price per driveway\nNumber of driveways = $35 ÷ $7 = 5\n\nTherefore, the correct answer is \\boxed{5}",
                       "orm_score": "2"},

             "SVAMP": {"question": "28 children were riding on the bus. At the bus stop 82 children got on the bus while some got off the bus. Then there were 30 children altogether on the bus. How many more children got on the bus than those that got off?",
                       "solution": "Step 1: Calculate the number of children on the bus initially.\n28 children were riding on the bus initially.  (Score: 9/10)\n\nStep 2: Calculate the number of children who got on the bus.\n82 children got on the bus.  (Score: 9/10)\n\nStep 3: Calculate the total number of children on the bus after some got off.\n30 children were on the bus after some got off.  (Score: 9/10)\n\nStep 4: Calculate the number of children who got off the bus.\nThe total number of children on the bus after some got off is 30. The number of children who got on the bus is 82. The initial number of children on the bus is 28. So, the total number of children who got on the bus and got off the bus is 28 + 82 = 110. To find the number of children who got off, subtract the initial number of children from the total number of children who got on and got off: 110 - 28 = 82.  (Score: 3/10)\n\nStep 5: Calculate the number of children who got on the bus minus the number of children who got off. The number of children who got on the bus is 82. The number of children who got off is 82. Subtract the number of children who got off from the number of children who got on: 82 - 82 = 0.  (Score: 2/10)\n\nSo, the number of children who got on the bus minus the number of children who got off is \\boxed{0}.  (Score: 1/10)",
                       "feedback": "Step 1: This step is correct, and the high score of 9 reflects it. 28 children were riding on the bus initially.\n\nStep 2: This step is correct, and the high score of 9 reflects it. 82 children got on the bus.\n\nStep 3: This step is correct, and the high score of 9 reflects it. 30 children were on the bus after some got off.\n\nStep 4: The low score of 3 suggests an error in this step. The total number after the new children got on and some got off is 30. With 28 initially and 82 getting on, if no one got off, there would be 110 on the bus. Therefore, to achieve a total of 30 on the bus, the number of children who got off would be: 28 + 82 − 30 = 80.\nThis means 80 children must have gotten off the bus for there to be 30 children remaining.\n\nStep 5: The low score of 2 suggests an error in this step. From the correct calculation in the revised Step 4, we know 82 children got on and 80 got off. The error in this step comes from maintaining the incorrect figures from Step 4. To find how many more children got on than got off, we should use the corrected figures: 82 - 80 = 2.",
                       "refined_solution": "Step 1: 28 children were riding on the bus initially.\n\nStep 2: 82 children got on the bus.\n\nStep 3: 30 children were on the bus after some got off.\n\nStep 4: The total number after the new children got on and some got off is 30. With 28 initially and 82 getting on, if no one got off, there would be 110 on the bus. Therefore, to achieve a total of 30 on the bus, the number of children who got off would be: 28 + 82 − 30 = 80.\n\nStep 5: 82 children got on and 80 got off. To find how many more children got on the bus than those who got off: 82 - 80 = 2.\n\nTherefore, the correct answer is \\boxed{2}.",
                       "orm_score": "1"},

             "SAT": {"question": "Which of the following numbers is NOT a solution of the inequality $3 x-5 \\geq 4 x-3$ ?\nThe options are: (A)-1 (B)-2 (C)-3 (D)-5\nYour final answer should be chosen from A, B, C or D.",
                       "solution": "Step 1: Write down the inequality.\n$$3x-5 \geq 4x-3$$  (Score: 10/10)\n\nStep 2: Add 5 to both sides.\n$$3x-5+5 \geq 4x-3+5$$\n$$3x \geq 4x-2$$  (Score: 4/10)\n\nStep 3: Subtract 3x from both sides.\n$$3x-3x \geq 4x-3x-2$$\n$$0 \geq x-2$$  (Score: 2/10)\n\nStep 4: Add 2 to both sides.\n$$0+2 \geq x-2+2$$\n$$2 \geq x$$  (Score: 1/10)\n\nStep 5: The inequality is $x \leq 2$.\nThe number that is NOT a solution of the inequality $x \leq 2$ is $\boxed{\textbf{(C) } 3}$.\nFinal Answer: The final answer is C. I hope it is correct.  (Score: 1/10)",
                       "feedback": "Step 1: This step is correct, and the high score of 10 reflects it. \n\nStep 2: The low score of 4 suggests an error in this step. The addition of 5 to both sides is correct, but there's an error in simplification. The right side should be 4x+2, not 4x-2.\n\nStep 3: The low score of 2 suggests an error in this step. This step is incorrect because it's based on the error in Step 2. Also, subtracting 3x from both sides would result in -x on the left, not 0.\n\nStep 4: The low score of 1 suggests an error in this step. This step continues the errors from previous steps. Additionally, the inequality sign should be flipped when dividing or multiplying by a negative number, which wasn't done here.\n\nStep 5: The low score of 1 suggests an error in this step. The conclusion $x \leq 2$ is incorrect due to the accumulation of errors in previous steps. The original inequality was never solved correctly, so the final answer is based on faulty reasoning.\nTo solve this problem correctly, we should:\n\n1. Correctly simplify after adding 5 to both sides.\n2. Subtract 4x (not 3x) from both sides.\n3. Divide by -1, remembering to flip the inequality sign.",
                       "refined_solution": "Step 1: Write down the original inequality.\n$$3x-5 \geq 4x-3$$\n\nStep 2: Subtract 4x from both sides to get all terms with x on one side.\n$$3x-4x-5 \geq 4x-4x-3$$\n$$-x-5 \geq -3$$\n\nStep 3: Add 5 to both sides to isolate the term with x.\n$$-x-5+5 \geq -3+5$$\n$$-x \geq 2$$\n\nStep 4: Multiply both sides by -1. Remember to flip the inequality sign when multiplying by a negative number.\n$$x \leq -2$$\n\nStep 5: Option (A) -1 is the only one that doesn't satisfy the inequality $$x \leq -2$$.\nTherefore, the correct answer is \\boxed{(A) -1}.",
                       "orm_score": "1"},                   
}